Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226258 - Merge Review: perl-Frontier-RPC
Summary: Merge Review: perl-Frontier-RPC
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
: 455266 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:35 UTC by Nobody's working on this, feel free to take it
Modified: 2011-07-26 20:07 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-22 11:20:46 UTC
mmaslano: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:35:39 UTC
Fedora Merge Review: perl-Frontier-RPC

http://cvs.fedora.redhat.com/viewcvs/devel/perl-Frontier-RPC/
Initial Owner: rnorwood@redhat.com

Comment 1 Parag AN(पराग) 2007-10-26 10:27:50 UTC
1)perl as BR is not needed. mock build without it worked successfully.
   remove redundant dependency on perl >= 1:5.6.1
2)you may like to keep simple disttag as "2%{dist}" only.


Comment 2 Robin Norwood 2007-10-26 20:01:34 UTC
All issues should be fixed in new version: perl-Frotnier-RPC-0.07b4-3.fc9

Comment 3 Michael Stahnke 2008-07-12 02:27:58 UTC
Can we please branch this for EPEL?  I emailed the primary maintainer on June 18
and got response.  It's now July 11.  
I will offer co-maintainership in EPEL.  
If this is the wrong bug for this type of request, sorry. I looked but didn't
see much. 

Package CVS Request
=======================
Package Name: perl-Frontier-RPC
Short Description:  A Perl interface for making and serving XML-RPC calls
Owners: stahnma 
Branches: EL4, EL5
InitialCC: kasal 'Štěpán Kasal' <skasal@redhat.com>
Cvsextras Commits: yes


Comment 4 Michael Stahnke 2008-07-12 02:29:05 UTC
That should have said "got no response"

Comment 5 Kevin Fenzi 2008-07-12 03:47:56 UTC
cvs done.

Comment 6 Paul Howarth 2008-07-14 15:24:09 UTC
*** Bug 455266 has been marked as a duplicate of this bug. ***

Comment 7 Jason Tibbitts 2009-07-17 19:18:01 UTC
I can't see that this merge review was ever approved; I'm not sure why it's now closed.

Comment 8 Marcela Mašláňová 2010-01-05 15:31:16 UTC
OK rpmlint on every package.
OK name of package accords to the Naming Guidelines.
OK spec file name match the base package %{name}.
OK package meet the Packaging Guidelines.
OK package has a good license.
OK spec file is written in American English.
OK spec file for the package must be legible.
OK The sources used to build the package must match the upstream source.
OK successful koji compilation.
OK correct BuildRequires, Requires.
OK proper use of %find_lang macro.
OK shared library must call ldconfig in %post and %postun.
OK relocatable package must state this fact.
OK package must own their directories.
OK permissions on files must be set properly.
OK %clean section with rm -rf %{buildroot}.
OK consistent use of macros.
OK package contains code, or permissable content.
OK large documentation go in a -doc subpackage.
OK %doc must not affect the runtime of the application.
OK header files must be in a -devel package.
OK static libraries must be in a -static package.
OK pkgconfig(.pc) files must 'Requires: pkgconfig'.
OK library files with a suffix (.so) must go in -devel.
OK usually devel packages must require the base package.
OK Remove .la libtool archives.
OK GUI applications must include a %{name}.desktop file.
OK %install section starts with rm -rf %{buildroot}.

Comment 9 Marcela Mašláňová 2010-01-22 11:20:46 UTC
There's no owner. I'm closing it.

Comment 10 Petr Pisar 2011-07-26 08:17:55 UTC
Package Change Request
======================
Package Name: perl-Frontier-RPC
Branches: f14 f15
New InitialCC: perl-sig

Please add `perl-sig' pseudo-user to InitialCC group for all Fedora branches. This cannot be done by maintainer through pkgdb interface.

Comment 11 Gwyn Ciesla 2011-07-26 12:01:18 UTC
InitialCC only works at branch creation.  I don't see a way for me to add
perl-sig in pkgdb either.

Comment 12 Gwyn Ciesla 2011-07-26 12:01:50 UTC
Toshio, what's the best approach here?

Comment 13 Toshio Ernie Kuratomi 2011-07-26 15:04:19 UTC
This should be the commandline you need:

pkgdb-client edit -c perl-sig -b devel -b f14 -b f15 -b f16 perl-Frontier-RPC

Comment 14 Gwyn Ciesla 2011-07-26 15:14:28 UTC
[limb@bamboo ~]$ pkgdb-cli edit -c perl-sig -b devel -b f14 -b f15 -b f16 perl-Frontier-RPC

Error: command must be one of: acl,list,request,update,orphan

Comment 15 Jason Tibbitts 2011-07-26 15:25:31 UTC
Toshio's command should work as he indicated.  "pkgdb-client", not "pkgdb-cli".

Comment 16 Gwyn Ciesla 2011-07-26 15:38:51 UTC
[limb@bamboo ~]$ pkgdb-client edit -c perl-sig -b devel -b f14 -b f15 -b f16 perl-Frontier-RPC
bash: pkgdb-client: command not found...
[limb@bamboo ~]$ rpm -ql packagedb-cli
/usr/bin/pkgdb-cli
/usr/share/doc/packagedb-cli-1.0.0
/usr/share/doc/packagedb-cli-1.0.0/LICENSE
/usr/share/doc/packagedb-cli-1.0.0/README
[limb@bamboo ~]$ sudo yum install /usr/bin/pkgdb-client
Loaded plugins: auto-update-debuginfo, langpacks, presto, refresh-packagekit
Setting up Install Process
No package /usr/bin/pkgdb-client available.
Error: Nothing to do
[limb@bamboo ~]$

Comment 17 Toshio Ernie Kuratomi 2011-07-26 19:54:39 UTC
You can find pkgdb-client on pkgs01.fedoraproject.org or in the infrastructure repository fedora-packagedb-client.

I've talked with pingou about merging the admin functions in pkgdb-client into pkgdb-cli and we might do that in the future.

Comment 18 Gwyn Ciesla 2011-07-26 20:06:18 UTC
Ok, thanks.  Done.

That would be great.  Thanks!

Comment 19 Gwyn Ciesla 2011-07-26 20:07:03 UTC
Petr, if you can email me the other packages this needs done for, I'll do those as well.


Note You need to log in before you can comment on or make changes to this bug.